html, 
body {
	min-height: 100vh;
}

footer {
}

section {
	min-height: 400px;
	border: 2px solid #000;
	display: inline-block;
	padding:20px;
	margin: 20px;
}

button {
	margin: 20px;
}


#databaseSelector {
	margin-bottom: 20px;
}

#tools {
	display: block;
}

#generatorSelectors > section {
	flex: 1 1 0;
	display: none;
}

#generatorSelectors div#generatorSelectorButtons #buttonsRow {
	background-color: #ddd;
}

#generatorSelectors div#generatorSelectorButtons #buttonsRow button {
	background-color: #fff;
	border: 2px;
}

#generatorSelectors div#generatorSelectorButtons #buttonsRow .buttonSelected {
	background-color: #0d0;
	color: #fff;
}

.show {
	display: block !important;
}

#eventEntryRowsContainer > div > div {
  display: inline-block;
  padding: 8px;
  border: 1px solid #ccc;
  min-height: 25px;
}